OLAP + Data Mining Prerequisites for Apps + 10.2.0.3 DB Upgrades

There are a variety of reasons to upgrade your E-Business Suite Release 11i environment to the 10.2.0.3 database.  You might be upgrading because Premier Support for the 9iR2 database ended in July 2007.  You might be upgrading in preparation for your move to E-Business Suite Release 12.

Regardless of your motivation for doing so, you will have noticed that this upgrade requires two database options:  Oracle Data Mining and OLAP.  These prerequisites are required even if you do not use any Applications products that depend on these options.  Some questions have been raised about whether these prerequisites trigger additional licencing fees for customers in that situation.

Don't Worry, Be Happy

We've just clarified our documentation to reassure you that restricted use licences for these products are included with the Oracle Database Enterprise Edition for the purposes of upgrading an E-Business Suite database.  In other words, if you don't already have OLAP or Oracle Data Mining installed, you don't have to purchase additional licences for these database options just to perform an upgrade.

We've just published clarifications about these restricted use licences in the following documents:

Related Articles

Comments:

What about advanced networking option , partitioning and TDE is this also included ?

Posted by Nandita Saigal on June 09, 2008 at 06:52 AM PDT #

Nandita,As far as I'm aware, ANO, Partitioning, and TDE are not included in the Restricted Use licencing for the E-Business Suite.  I would recommend having a conversation with your Oracle Account Manager if you'd like to discuss this in more detail with someone trained in Oracle licencing (which I'm not).Regards,Steven

Posted by Steven Chan on June 09, 2008 at 08:05 AM PDT #

Hi Steve

out of curiosity, can you explain why these components are required even if we do not use any Applications products that depend on these options?

Regards

Neil

Posted by Neil on June 09, 2008 at 01:21 PM PDT #

Hi, Neil,The E-Business Suite's Rapid Install lays down all of the E-Business Suite application products (all ~200 of them).  For example, even if you're only using the Accounts Payable product in Oracle Financials, you'll end up with full installations of every other E-Business Suite products, including things like Oracle Payroll or Procurement.  This is by design.  This allows companies to roll out additional E-Business Suite products incrementally without additional installations.  This supports inter-product usage: for example, employees in Oracle HRMS can place orders using Oracle Procurement.  Such data shared between application product modules is automatically and centrally stored in this deployment model.Some Apps products installed by this "full footprint" method require specific database options such as OLAP and Data Mining.  The installation will either fail or cough up weird compilation errors if those database options aren't present.Regards,Steven

Posted by Steven Chan on June 10, 2008 at 03:53 AM PDT #

Hi

I have just been directed to this blog entry in response to SR 7696731.993. As I stated in the SR although we have the OLAP and data-mining components installed they were not configured as that step in note 362203.1 used to be marked conditional. I read this as only required if you use OLAP. As we didn't use it I didn't run the step.
The latest version of the note has removed the conditional but is not clear why it is needed.Can you clarify the statement "These prerequisites are required even if you do not use any Applications products that depend on these options" . If we don't use the functionality why is it required or will it be required in the future particularly if and when we upgrade to R12?

We have been running on 10.2.0.3 without the components configured and we don't appear to have had any issues because of this. I am reluctant to activate/configure a database component at this time if we don't need it.

Thanks

Posted by Jim allman on September 29, 2009 at 11:15 PM PDT #

Hi, Jim,

Our product team dependencies have changed over time. You will see failures during EBS 12 maintenance and upgrades without these components. For example, installing 12.0.4 patch 6394500 will trigger view generation errors in the Accounts Payable product area.

I agree that the documentation could stand to be updated with additional details supporting the change in prerequisites. I'll ensure that the documentation is revised accordingly.

Regards,
Steven

Posted by Steven Chan on September 30, 2009 at 01:26 AM PDT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
4
5
6
7
8
9
10
11
12
13
14
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today